Ruby: Data Fields - Variables

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

### - o -

- o : BigStruct, Rect, struct_116byte
- obj : _Win32OLEIDispatch, dump_call_arg, enumerator, exec_recursive_params, force_finalize_list, generator, givar_copy, iter_method_arg, rb_iseq_struct, rb_memory_view_t, Real
- obj2wmap : weakmap
- obj_list : ibf_load_buffer
- obj_list_offset : ibf_load_buffer
- obj_list_size : ibf_load_buffer
- obj_table : ibf_dump_buffer
- obj_to_id_tbl : rb_objspace
- object : RVALUE
- object_class : JSON_ParserStruct
- object_delim : JSON_Generator_StateStruct
- object_delim2 : JSON_Generator_StateStruct
- object_nl : JSON_Generator_StateStruct
- object_nl_len : JSON_Generator_StateStruct
- object_table : traceobj_arg
- objspace : cc_tbl_i_data, each_obj_args, objspace_and_reason, rb_vm_struct, verify_internal_consistency_struct, wmap_iter_arg
- oconv : nkf_native_encoding
- of : ComplexDateData, os_each_struct
- offset : inflate_state, load_arg, rb_memory_view_item_component_t, rb_strterm_heredoc_struct, seek_arg, tmx_funcs, UnsetAddr, zone
- offset_central_dir : unz64_s
- offset_curfile : unz_file_info64_internal_s
- offset_list : ibf_dump_iseq_list_arg, ibf_dump_object_list_arg
- offset_local_extrafield : file_in_zip64_read_info_s
- oflags : open_struct, sysopen_struct
- old_key : update_arg
- old_klass : clone_method_arg
- old_object_count : verify_internal_consistency_struct
- old_objects : rb_objspace
- old_objects_limit : rb_objspace
- old_path : chdir_data
- old_value : update_arg
- oldclass : marshal_compat_t
- older_index : run_exec_dup2_fd_pair
- oldfd : run_exec_dup2_fd_pair
- oldmalloc_limit_growth_factor : ruby_gc_params_t
- oldmalloc_limit_max : ruby_gc_params_t
- oldmalloc_limit_min : ruby_gc_params_t
- oldobject_limit_factor : ruby_gc_params_t
- once : iseq_inline_storage_entry
- one_or_more_time : OnigMetaCharTableType
- oo : BigStruct
- op : code, OnigSyntaxType
- op2 : OnigSyntaxType
- opaque : z_stream_s, zlib_filefunc64_def_s, zlib_filefunc_def_s
- open : dl_handle
- operand_size : iseq_insn_data
- operands : iseq_insn_data
- operands_unification : rb_compile_option_struct
- opt : io_encoding_set_args, load_file_arg, query_args
- opt_args : rb_args_info
- opt_count : EncloseNode
- opt_inited : cmp_opt_data
- opt_len : internal_state
- opt_methods : cmp_opt_data
- opt_num : rb_iseq_constant_body
- opt_table : rb_iseq_constant_body
- optimize : re_pattern_buffer
- optimize_type : rb_method_definition_struct
- option : EncloseNode, ibf_object_regexp, iseq_compile_data, OnigCompileInfo, ScanEnv
- options : OnigMatchArg, OnigSyntaxType, OptEnv, re_pattern_buffer, waitpid_state
- ordblks : mallinfo
- orig_eset : select_set
- orig_me : rb_method_refined_struct
- orig_progname : rb_vm_struct
- orig_rset : select_set
- orig_wset : select_set
- orighash : reset_hash_type_arg
- origin_ : rb_classext_struct
- original_id : rb_method_definition_struct
- original_iseq : rb_iseq_constant_body
- original_me : rb_method_alias_struct
- os : gz_header_s
- osfhnd : ioinfo
- osfile : ioinfo
- other_args : ia64_args
- others : vm_svar
- out : gz_state, point, state
- out_buf_end : rb_econv_elem_t
- out_buf_start : rb_econv_elem_t
- out_data_end : rb_econv_elem_t
- out_data_start : rb_econv_elem_t
- outcnt : state
- outer : local_vars
- outer_variables : rb_iseq_constant_body
- outfile : outd
- outfun : state
- outgoing_port_closed : rb_ractor_sync
- outhow : state
- outlen : state
- output : print_to_arg
- output_index : rb_transcoding
- owner : chown_args, CRYPTO_dynlock_value, rb_callable_method_entry_struct, rb_global_vm_lock_struct, rb_method_entry_struct, rb_method_refined_struct, rb_monitor